Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.milyn.tinak
Class ProfilesTag

    java.lang.Object
      org.milyn.tinak.ContainerTag
          org.milyn.tinak.ProfilesTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.Tag

public class ProfilesTag
extends ContainerTag

This tag nests set-profile tags.

The profiles are added to the servlet context. This tag stops the set-profile tags from being processed 1+ times.

Author:
  Tom Fennelly.

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ProfilesTag()`

Method Summary
`int` | `doStartTag()` Process the doStart event.

Methods inherited from class org.milyn.tinak.ContainerTag
`appendContent, doAfterBody, doEndTag, doInitBody, getContent, getPageContext, getParent, hasContent, release, setBodyContent, setPageContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfilesTag

    public ProfilesTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Process the doStart event.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `ContainerTag`
  Returns:
    One of `Tag.SKIP_BODY` or `BodyTag.EVAL_BODY_BUFFERED`
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Milyn-Tinak Version 0.6.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD